OVH est le premier hébergeur français et pourtant, à l’instar de nombreux utilisateurs de WordPress vous ne pouvez pas paramétrer la version PHP du serveur en 7.4 depuis le cPanel client et WP vous alerte sur votre version 7.3 devenue obsolète selon ses prérequis.

Pas de panique PHP 7.4 est disponible… via le fichier .ovhconfig

De nombreux sujets dans les forums WP et sur le support OVH remontent depuis plusieurs mois cette situation mais OVH ne semble pas prête proposer cette version pourtant stable depuis fin 2019. Comment y remédier ? Une solution existe depuis toujours chez cet hébergeur via un fichier caché .ovhconfig qui contient un paramétrage « local » de la version à utiliser par le serveur.

Créer votre fichier .ovhconfig avec un simple éditeur de texte en mode brut

Le point essentiel lors de la création du fichier c’est de produit un fichier texte en mode « brut » (.txt) au lieu de .rtf par exemple. Le contenu est simple à rédiger, il suffit de copier les commandes ci-dessous et de les coller dans votre fichier nommé « ovhconfig » :

app.engine=php
app.engine.version=7.4
http.firewall=none
environment=production
container.image=stable

Copier le fichier .ovhconfig en racine de votre hébergement OVH

L’emplacement de ce fichier .ovhconfig est important, il doit se situé en « racine » de votre hébergement. C’est à dire haut dessus du répertoire « www » où est normalement installé votre site WordPress. L’opération se fait via FTP et votre fichier doit être accessible sur votre ordinateur (ovhconfig.txt).

N’oubliez pas que si vous nommez votre fichier avec un point devant (.ovhconfig) il va disparaître de votre bureau où du dossier où il est présent.

Une fois connecté à votre serveur déplacez-vous en racine de l’hébergement de manière à voir le dossier www dans la liste du contenu (Cf. image ci-dessous). Copiez votre fichier ovhconfig.txt à cet endroit puis renommez-le en .ovhconfig (sans extension) il sera activé et votre configuration PHP passera ainsi en version 7.4.6. C’est votre site WordPress qui sera content.

Vous pouvez vérifier la bonne version PHP en allant dans dans l’administration WP dans : Outils -> Santé du site -> Informations -> Serveur.

Éditer le fichier .ovhconfig si il est déjà présent en racine de votre hébergement OVH

Il est possible que votre hébergement possède déjà un fichier .ovhconfig à sa racine. Dans ce cas éditez simplement le fichier via votre application de FTP et modifiez simplement la version PHP en 7.4.

Bonne mise à niveau.

Cet article a 1 commentaire

Laisser un commentaire